Bug 18920 - Some config values are not saved in koha-install-log
Summary: Some config values are not saved in koha-install-log
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-10 11:42 UTC by Colin Campbell
Modified: 2017-10-27 19:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patch to add missing values to install log (1.41 KB, patch)
2017-07-10 12:10 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 18920 Save DB_USE_TLS and FONT_DIR to install log (1.46 KB, patch)
2017-10-16 14:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18920 Save DB_USE_TLS and FONT_DIR to install log (1.51 KB, patch)
2017-10-27 14:12 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2017-07-10 11:42:32 UTC
The koha-config values for DB_USE_TLS and FONT_DIR (for dejavu fonts) are not being saved in koha_install_log so the user is prompted for them when running 
perl Makefile.PL --prev-install-log ~/etc/koha/misc/koha-install-log they should be written to koha-install-log so that, like other config values they are not prompted for after initially being set
Comment 1 Colin Campbell 2017-07-10 12:10:13 UTC
Created attachment 64956 [details] [review]
Patch to add missing values to install log

To test - without patch applied when running Makefile.PL --prev-install-log /path/to/misc/koha-install-log user will always be prompted for whether db connection uses TLS and the location of DejaVu fonts

With patch applied (and assuming the path is /etc/koha/misc substitute as required)
run perl Makefile.PL --prev-install-log /etc/koha/misc/koha-install-log prompts for the above values will appear answer as before
do a make upgrade
rerun perl Makefile.PL -prev-install-log /etc/koha/misc/koha-install-log these variables are now read from the install log and not prompted for

inspecting the installed koha-install.log there will now be values for DB_USE_TLS and FONT_DIR - there are also entries for DB_TLS_CA_CERTIFICATE, DB_TLS_CLIENT_CERTIFICATE and DB_TLS_CLIENT_KEY but these will only be set if DB_USE_TLS is set to yes
Comment 2 M. Tompsett 2017-10-16 14:39:07 UTC
NOTE: Untestable in a SYNC_REPO Windows Dev Box, due to ::'s in the man pages.
Comment 3 M. Tompsett 2017-10-16 14:43:47 UTC
Created attachment 68181 [details] [review]
Bug 18920 Save DB_USE_TLS and FONT_DIR to install log

Configuration values should be included in the koha-install-log
so that when running Makefile.PL with the --prev-install-log option
values can be read from there and reapplied rather than prompting
the user on each subsequent run.
This adds FONT_DIR and DB_USE_TLS (and its dependent options) to
koha-install-log so that the set values will be written by make
during a make install or make upgrade

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Kyle M Hall 2017-10-27 14:12:05 UTC
Created attachment 68716 [details] [review]
Bug 18920 Save DB_USE_TLS and FONT_DIR to install log

Configuration values should be included in the koha-install-log
so that when running Makefile.PL with the --prev-install-log option
values can be read from there and reapplied rather than prompting
the user on each subsequent run.
This adds FONT_DIR and DB_USE_TLS (and its dependent options) to
koha-install-log so that the set values will be written by make
during a make install or make upgrade

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2017-10-27 19:10:49 UTC
Pushed to master for 17.11, thanks to everybody involved!